Bug 235594 - ssmtp should not provide smtpdaemon
ssmtp should not provide smtpdaemon
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ssmtp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-07 13:45 EDT by Ville Skyttä
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-27 17:02:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-04-07 13:45:04 EDT
ssmtp does not include a SMTP daemon, so it should not provide "smtpdaemon".
Comment 1 manuel wolfshant 2007-04-07 16:48:04 EDT
Please see the parts of
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=188400#c6 , Cmment #9,
comment #11 and #26 about this issue. I for one still believe that smtpdaemon
should not be seen as providing a daemon running on port 25 but as a provides
for a sendmail compatible CLI tool. If there is a definite conclusion/guide on
this issue, please point me to that and I'll modify the package ASAP.
Comment 2 Patrice Dumas 2007-10-23 06:36:17 EDT
Manuel, all the packages that required smtpdaemon although they
didn't need a smtp daemon on port 25 seems to have been cleaned to
require /usr/sbin/sendmail. Maybe ssmtp could stop providing smtpdaemon?
Keep it if you want for backward compatibility (with EPEL for example),
but remember to remove it in some years ;-). I made a proposal to clarify
this virtual provides in 
http://fedoraproject.org/wiki/PackagingDrafts/ServerProvides

Also now that nothing requires MTA anymore maybe this provides
could be removed from ssmtp since it doesn't provide a sending
queue, nor local delivery nor a smtp daemon.
Comment 3 manuel wolfshant 2007-10-23 19:13:53 EDT
Thank you for the notice, Patrice. I will look into it as soon as my time
permits. Unfortunately I am kind of swamped in work right now (which is why I
was inactive as a reviewer, too) :(
Comment 4 Patrice Dumas 2007-10-27 17:02:06 EDT
This seems to be fixed, thanks.
Comment 5 Nerijus Baliūnas 2007-11-09 20:42:55 EST
I see in ssmtp-2.61-11.5.fc8.1:
removes provides for MTA and smtpdaemon
But fetchmail still requires smtpdaemon:
# rpm -e ssmtp-2.61-11.4.fc8
error: Failed dependencies:
	/usr/sbin/sendmail is needed by (installed) 
squirrelmail-1.4.11-1.fc8.noarch
	smtpdaemon is needed by (installed) fetchmail-6.3.8-3.fc8.i386

As I understand, I will not be able to update to ssmtp-2.61-11.5.fc8.1 without 
removing fetchmail?
Comment 6 Patrice Dumas 2007-11-10 04:23:05 EST
(In reply to comment #5)
> I see in ssmtp-2.61-11.5.fc8.1:
> removes provides for MTA and smtpdaemon
> But fetchmail still requires smtpdaemon:
> # rpm -e ssmtp-2.61-11.4.fc8
> error: Failed dependencies:
> 	/usr/sbin/sendmail is needed by (installed) 
> squirrelmail-1.4.11-1.fc8.noarch

This is a temporary bug, /usr/sbin/sendmail provides was
removed, it should be fixed soon.

> 	smtpdaemon is needed by (installed) fetchmail-6.3.8-3.fc8.i386
> 
> As I understand, I will not be able to update to ssmtp-2.61-11.5.fc8.1 without 
> removing fetchmail?

Yes. See Bug 66396, for an explanation. That's something that bothers me
too (that's why I submitted Bug 66396), but it is, in my opinion, 
a limitation in fetchmail, and it should not be worked around
by pretending that ssmtp listens on the smtp port.
Comment 7 manuel wolfshant 2007-11-10 05:55:14 EST
Nerijus,

I must admit I have no idea why squirrelmail complains about
ssmtp-2.61-11.5.fc8.1 because it does provide /usr/sbin/sendmail as you can see
here:
$ rpm -qp --provides ssmtp-2.61-11.5.fc8.1.i386.rpm
warning: ssmtp-2.61-11.5.fc8.1.i386.rpm: Header V3 DSA signature: NOKEY, key ID
4f2a6fd2
/usr/sbin/sendmail
config(ssmtp) = 2.61-11.5.fc8.1
ssmtp = 2.61-11.5.fc8.1
Anyone who can see an error in here is more than welcome to inform me and I'll
do my best to fix it.

As of fetchmail, I stand by Patrice and think that fetchmail should be fixed in
order to not require smtpdaemon. The best proof being the fact that it works
with previous versions of ssmtp.
As an [ugly] workaround you can either use --nodeps to force update of ssmtp or
just keep the older version. There is no real change in functionality between
2.61-11.4 and 2.61-11.5.1, the only difference is the removal of two virtual
Provides.
Comment 8 Nerijus Baliūnas 2007-11-10 07:33:00 EST
> I must admit I have no idea why squirrelmail complains about
> ssmtp-2.61-11.5.fc8.1 because it does provide /usr/sbin/sendmail as you can 
> see here:
Because I tried to remove ssmtp. It's everything ok here, ssmtp does 
provide /usr/sbin/sendmail.

Can someone please fix fetchmail soon?
Comment 9 Patrice Dumas 2007-11-10 09:36:38 EST
I reopened Bug 66396 with more infos.

Note You need to log in before you can comment on or make changes to this bug.